/*===========================================================================*
 * iframe.h								     *
 *									     *
 *	Procedures concerned with the I-frame encoding			     *
 *									     *
 * EXPORTED PROCEDURES:							     *
 *	GenIFrame							     *
 *	SetSlicesPerFrame						     *
 *	SetBlocksPerSlice						     *
 *	SetIQScale							     *
 *	ResetIFrameStats						     *
 *	ShowIFrameSummary						     *
 *	EstimateSecondsPerIFrame					     *
 *	EncodeYDC							     *
 *	EncodeCDC							     *
 *									     *
 *===========================================================================*/

/*
 * Copyright (c) 1993 The Regents of the University of California.
 * All rights reserved.
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose, without fee, and without written agreement is
 * hereby granted, provided that the above copyright notice and the following
 * two paragraphs appear in all copies of this software.
 *
 * IN NO EVENT SHALL THE UNIVERSITY OF CALIFORNIA BE LIABLE TO ANY PARTY FOR
 * DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT
 * OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF THE UNIVERSITY OF
 * CALIFORNIA HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * THE UNIVERSITY OF CALIFORNIA SPECIFICALLY DISCLAIMS ANY WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
 * AND FITNESS FOR A PARTICULAR PURPOSE.  THE SOFTWARE PROVIDED HEREUNDER IS
 * ON AN "AS IS" BASIS, AND THE UNIVERSITY OF CALIFORNIA HAS NO OBLIGATION TO
 * PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.
 */

#ifndef __IFRAME__
#define __IFRAME__

#include "ansi.h"
#include "bitio.h"

__BEGIN_DECLS

extern void SetFCode _ANSI_ARGS_((void));
extern void SetSlicesPerFrame _ANSI_ARGS_((int number));
extern void SetBlocksPerSlice _ANSI_ARGS_((void));
extern void SetIQScale _ANSI_ARGS_((int qI));
extern void GenIFrame _ANSI_ARGS_((BitBucket *bb,EncoderMpegFrame *current));
extern void ResetIFrameStats _ANSI_ARGS_((void));
extern void ShowIFrameSummary _ANSI_ARGS_((int inputFrameBits,int32 totalBits,
					   FILE *fpointer));
extern float EstimateSecondsPerIFrame _ANSI_ARGS_((void));
extern void EncodeYDC _ANSI_ARGS_((int16 dc_term,int32 *pred_term,
				  BitBucket *bb));
extern void EncodeCDC _ANSI_ARGS_((int16 dc_term,int32 *pred_term,
				  BitBucket *bb));

__END_DECLS

#endif


