/* Class to provide scrolling boxes       (c)1995 Alexis 'Milamber' Ashley */
/*
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   any later version.
 
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
 
   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef __SCROLL_BOX__
#define __SCROLL_BOX__

#include "text_win.H"
#include "../globals/list.H"

class ScrollBox : public TextWindow
{
protected:
  static char DefaultFont[80];   // Default font used for sub windows
  static unsigned int BorderWidth;      // Size of border 
public:
  ScrollBox(UI_Globals *parent, world_c x, world_c y, world_c height,
	    world_c width,
	    const char * const fgcolour = Foreground,
	    const char * const bgcolour = Background,
	    const char * const font = DefaultFont,
	    unsigned int Border_Width=BorderWidth);
  ~ScrollBox(void);
  void AddText(char *string);
  void ClearAllText(void);
  void ScrollUp(int amount);
  void ScrollDown(int amount);
private:
  world_c font_height;    // Height of each line of text
  int win_height;         // Number of lines that fit in the scroll window
  long textlength;        // Number of lines of text in textlist
  List <char *> textlist; // The actual strings
  int curr_pos;           // Current position
  world_c Spacing;        // Distance between left hand border & text  
};

#endif

